# class Random::ISAAC

- Random::ISAAC
- Reference
- Object

##
Included Modules

- Random

##
Defined in:

##
Constructors

- .new(seeds = random_seeds)

##
Instance Method Summary

- #new_seed(seeds = random_seeds)
- #next_u

  Generates a random unsigned integer.

### Instance methods inherited from module `Random`

base64(n : Int = 16) : String base64, hex(n : Int = 16) : String hex, next_bool : Bool next_bool, next_float : Float64 next_float, next_int : Int32 next_int, next_u next_u, rand(range : Range(Int, Int)) : Int
rand(max : Int) : Int
rand : Float64
rand(type : UInt64.class) : UInt64
rand(type : Int64.class) : Int64
rand(type : UInt32.class) : UInt32
rand(type : Int32.class) : Int32
rand(type : UInt16.class) : UInt16
rand(type : Int16.class) : Int16
rand(type : UInt8.class) : UInt8
rand(type : Int8.class) : Int8
rand(max : Float) : Float64
rand(type : StaticArray(Int64, UNDERSCORE).class)
rand(type : StaticArray(UInt32, UNDERSCORE).class)
rand(type : StaticArray(Int32, UNDERSCORE).class)
rand(type : StaticArray(UInt16, UNDERSCORE).class)
rand(type : StaticArray(Int16, UNDERSCORE).class)
rand(type : StaticArray(UInt8, UNDERSCORE).class)
rand(type : StaticArray(Int8, UNDERSCORE).class)
rand(range : Range(Float, Float)) : Float
rand(type : StaticArray(UInt64, UNDERSCORE).class) rand, random_bytes(n : Int = 16) : Bytes
random_bytes(buf : Bytes) : Nil random_bytes, urlsafe_base64(n : Int = 16, padding = false) : String urlsafe_base64

### Constructor methods inherited from module `Random`

new(seed, sequence = 0_u64)
new new

### Class methods inherited from module `Random`

rand(x)
rand : Float64 rand

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(seeds = random_seeds) #

##
Instance Method Detail

def new_seed(seeds = random_seeds) #
def next_u #
Description copied from module Random

Generates a random unsigned integer.

The integers must be uniformly distributed between `0` and the maximal value for the chosen type.